# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import mtp.apps.common.utils


class Migration(migrations.Migration):

    dependencies = [
        ('evaluations', '0004_auto_20150828_1745'),
        ('trainings', '0018_trainingactivity'),
        ('documents', '0004_auto_20150428_1629'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='documentcommentfile',
            name='first_update',
        ),
        migrations.RemoveField(
            model_name='documentcommentfile',
            name='last_update',
        ),
        migrations.RemoveField(
            model_name='documentfile',
            name='first_update',
        ),
        migrations.RemoveField(
            model_name='documentfile',
            name='last_update',
        ),
        migrations.RemoveField(
            model_name='documentfile',
            name='preview',
        ),
        migrations.RemoveField(
            model_name='downloadablefile',
            name='first_update',
        ),
        migrations.RemoveField(
            model_name='downloadablefile',
            name='last_update',
        ),
        migrations.RemoveField(
            model_name='downloadablefile',
            name='original',
        ),
        migrations.RemoveField(
            model_name='pdfgenerationrequest',
            name='document',
        ),
        migrations.RemoveField(
            model_name='pdfgenerationrequest',
            name='user',
        ),
        migrations.AlterModelOptions(
            name='document',
            options={},
        ),
        migrations.RenameField(
            model_name='note',
            old_name='x',
            new_name='coord_x',
        ),
        migrations.RenameField(
            model_name='note',
            old_name='y',
            new_name='coord_y',
        ),
        migrations.RenameField(
            model_name='note',
            old_name='h',
            new_name='height',
        ),
        migrations.RenameField(
            model_name='note',
            old_name='training_session',
            new_name='session',
        ),
        migrations.RenameField(
            model_name='note',
            old_name='w',
            new_name='width',
        ),
        migrations.RemoveField(
            model_name='document',
            name='doc_file',
        ),
        migrations.RemoveField(
            model_name='document',
            name='doc_file_comment',
        ),
        migrations.RemoveField(
            model_name='document',
            name='first_update',
        ),
        migrations.RemoveField(
            model_name='document',
            name='hidden',
        ),
        migrations.RemoveField(
            model_name='document',
            name='id',
        ),
        migrations.RemoveField(
            model_name='document',
            name='is_deleted',
        ),
        migrations.RemoveField(
            model_name='document',
            name='last_update',
        ),
        migrations.RemoveField(
            model_name='document',
            name='master',
        ),
        migrations.RemoveField(
            model_name='document',
            name='mgroups',
        ),
        migrations.RemoveField(
            model_name='document',
            name='name',
        ),
        migrations.RemoveField(
            model_name='document',
            name='order',
        ),
        migrations.RemoveField(
            model_name='document',
            name='original',
        ),
        migrations.RemoveField(
            model_name='document',
            name='trainer',
        ),
        migrations.RemoveField(
            model_name='document',
            name='training',
        ),
        migrations.RemoveField(
            model_name='document',
            name='update_locally',
        ),
        migrations.RemoveField(
            model_name='document',
            name='user',
        ),
        migrations.AddField(
            model_name='document',
            name='trainee_document_file',
            field=models.FileField(default='', verbose_name='Trainees file', upload_to=mtp.apps.common.utils.upload_to_generator),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='document',
            name='trainee_document_file_hash',
            field=models.CharField(max_length=36, blank=True),
        ),
        migrations.AddField(
            model_name='document',
            name='trainer_document_file',
            field=models.FileField(default='', verbose_name='Trainer file', upload_to=mtp.apps.common.utils.upload_to_generator),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='document',
            name='trainer_document_file_hash',
            field=models.CharField(max_length=36, blank=True),
        ),
        migrations.AddField(
            model_name='document',
            name='trainer_only',
            field=models.BooleanField(default=False, verbose_name='Visible by trainers only'),
        ),
        migrations.AddField(
            model_name='document',
            name='trainingactivity_ptr',
            field=models.OneToOneField(to='trainings.TrainingActivity', default='', primary_key=True, serialize=False, auto_created=True, parent_link=True),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='DocumentCommentFile',
        ),
        migrations.DeleteModel(
            name='DocumentFile',
        ),
        migrations.DeleteModel(
            name='DownloadableFile',
        ),
        migrations.DeleteModel(
            name='PDFGenerationRequest',
        ),
    ]
